local L = AceLibrary("AceLocale-2.2"):new("Talented")
local StaticPopupDialogs = StaticPopupDialogs
local pcall = pcall

function Talented:CHAT_MSG_ADDON(prefix, msg, type, sender)
	if prefix ~= self.name then return end
	
	local s, _, name, code = msg:find("(.*):(.*)")
	if not name or not code then return end
	
	local res, val, class = pcall(self.StringToTemplate, self, code)
	if not res then return end
	local _, pclass = UnitClass("player")
	if class ~= pclass then return end
	
	self:ImportFromOther(sender, val)
end

function Talented:ExportToOther(type)
	template = template or self.template
	local code = template.code
	if not code then
		local res
		res, code = pcall(self.TemplateToString, self, template)
		if not res then return end
	end
	
	SendAddonMessage(self.name, string.format("%s:%s", template.name, code), type)
end
